Some questions regarding the Wii Hack

Discussion in 'Wii - Hacking' started by simonli2575, May 14, 2011.

  1. simonli2575
    OP

    simonli2575 Member

    Newcomer
    23
    0
    Mar 31, 2010
    Hong Kong
    History:
    3.3J > 4.1J > 4.0U and homebrew(I was scammed) > 4.1U(ModMii update)
    Questions:
    1. What's the bannerbomb's use?
    2. I hack my wii because I want to play BIT.TRIP series(beat and runner excluded), but when I load Fate and Fluxm the wii Hangs, should I update?
    2a1. If yes, should I update to 4.2 or 4.3?
    2a2. What's the con of updating 4.1 to 4.2 or 4.3 with ModMii?
    2b. If no, what I should do?
    3. Can I use USB to hack Wii or ONLY SD cards?
     
  2. Taleweaver

    Taleweaver Storywriter

    Member
    5,385
    1,449
    Dec 23, 2009
    Belgium
    Belgium
    1. the use of bannerbomb is the same as the use of any other exploit: to allow to run other, unsigned code. This other code is usually the homebrew installer, as having that would mean that you won't need the exploit in the future anymore.

    2. with modmii, there isn't really a con to upgrading your firmware*. The chances of it solving things are a bit low, though (pretty much all games work on all versions of the IOS they need).
    I can't find out which IOS those games need, but AFAIK, only IOS58 is new. And that can be installed with this program (or with modmii, though you'll need an external wad manager to actually do the installing).

    EDIT: something worth mentioning: though IOS are region free, the games themselves (I assume they're .wad files installed on your NAND with a wad manager) are not. If those games are from a different region than your wii, make sure that you have priiloader's region-free hack enabled.


    3. You will need an SD card to hack a virgin wii. Once you have the HBC on it, you can put everything on USB and load everything from there.





    *I assume modmii skips the part of nintendo's official way of updating where it removes your homebrew. [​IMG]
     
  3. Stigmatic

    Stigmatic Advanced Member

    Newcomer
    80
    0
    Aug 24, 2009
    Norway
    the little big city
    1. bannerbomb uses a hack to bootup the innitial hbc installer, It does not work on 4.3. If you have hacked your wii once, you should not need it again.

    3. You can not use the usb connection to hackk any wii


    What, wever said.
     
  4. terminal_illness

    terminal_illness Dark Hadou Master

    Member
    746
    18
    Aug 29, 2008
    Canada
    Canada! Mah Fukas!
    modmii basically can remod your wii in everyway. if you install every updated ios and the cios selection it gives you (or customize) you can fix any software issue on the wii. hardware? no.
     
  5. machomuu

    machomuu Drops by occasionally

    Member
    8,441
    597
    Sep 4, 2009
    United States
    The Courtroom
    Personally I think that ideally one should have 4.3U hacked, that's what I have (I did this before ModMii was created, mind you).
     
  6. terminal_illness

    terminal_illness Dark Hadou Master

    Member
    746
    18
    Aug 29, 2008
    Canada
    Canada! Mah Fukas!
    agreed, why use an outdated menu? and i know that anything after 4.1 only brought homebrew circumvention. but you might as well use the latest. if you can do it then why not? i updated my iphone to 4.3.3 why? because its NEEEWER lol and i could still jb it.
     
  7. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,915
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    I strongly disagree. 4.1 has the best chance of brick recovery if something goes wrong.
     
  8. terminal_illness

    terminal_illness Dark Hadou Master

    Member
    746
    18
    Aug 29, 2008
    Canada
    Canada! Mah Fukas!
    nand backups work fine in 4.3 priiloader works fine in 4.3.... how is 4.1 any better?
     
  9. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,915
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    Read here. There aren't any benefits to 4.3, only (small) disadvantages.
     
  10. terminal_illness

    terminal_illness Dark Hadou Master

    Member
    746
    18
    Aug 29, 2008
    Canada
    Canada! Mah Fukas!
    thats your own personal preference. any wii with bootmii as boot 2 and or priiloader on ANY sys menu can recover from a brick, any wii that has a DFU(dumb fuckin user as we call them here at work((i work at a computer repair/sales store))) and didnt install the proper brick protection has NOTHING to do with system menu.

    i fix alot of wiis too and there is no reason apart from not being able to use bannerbomb to not update your wii.
     
  11. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,915
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    There is no reason to update period. You still get nothing but disadvantages. Those cases that I mentioned in my post, the users had Priiloader, the HBC, exploitable games, and bootmii, but because of NAND corruption none could be used. Bannerbomb was the only option, but since it was blocked (the hack to enable bannerbomb stopped working) the users had to buy a new Wii or get their NAND flashed (depending on if they made a NAND backup. I suggest staying on 4.1 because you don't have any risks. You aren't sacrificing anything by staying on 4.1.
     
  12. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    I say too that you don't need to update from 4.1, but if done right there should be any downside of updating to 4.3. Be sure to install the latest HBC 1st, or else you loose HBC by updating to 4.3! Once the latest HBC is installed, the bannerbomb capability of 4.1 doesn't matter much anymore, because if you are stupidly updating to a newer update(that is yet to come), it's going to remove HBC and the bannerbomb capablity at the same time.

    If the game doesn't work, the most likely causes are a missing IOS or the wrong region. The missing IOS can just be installed and the system menu you have does not matter. And if it's the wrong region, look into priiloader as advised.